Bug 4700 - [UPDATE REQUEST] ldetect-lst 0.1.327
: [UPDATE REQUEST] ldetect-lst 0.1.327
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-19 21:52 MSK by Eugene Shatokhin
Modified: 2014-11-21 11:18 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments
lspcidrake.old (4.15 KB, application/x-trash)
2014-11-20 11:08 MSK, FirstLevel
Details
lspcidrake.new (4.13 KB, application/octet-stream)
2014-11-20 11:09 MSK, FirstLevel
Details
lcpci.old (2.90 KB, application/x-trash)
2014-11-20 11:09 MSK, FirstLevel
Details
lcpci.new (2.90 KB, application/octet-stream)
2014-11-20 11:09 MSK, FirstLevel
Details
ldetect-old.png (57.53 KB, image/png)
2014-11-20 11:09 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-11-19 21:52:57 MSK
Updated ldetect-lst to version 0.1.327.

I have hopefully cleaned up the mess with the data for AMD/ATI Radeon GPUs that was there for a long time. 

I have also prepared a script to update the data (PCI IDs and driver specs) for such GPUs based on the output of modinfo for 'radeon' and 'fglrx' kernel modules. This should be more reliable than those explicit CSV tables and parsing of the header files that were used before.
Comment 1 Eugene Shatokhin 2014-11-19 21:57:24 MSK
Advisory:
ldetect-lst was updated to version 0.1.327.
Most significant changes:
* Fixed a lot of incorrect entries for AMD/ATI Radeon GPUs in the PCI ID table.
* Updated PCI IDs for 'radeon' kernel module (kernel 3.14.22) and for fglrx 14.301.1001 (AMD Catalyst 14.9)

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2335166
x86_64:
https://abf.rosalinux.ru/build_lists/2335167
Comment 2 Eugene Shatokhin 2014-11-19 22:07:58 MSK
По тестированию.

Изменились, в основном, данные по видеокартам AMD/ATI, в т.ч. и по старым. Важно проверить, как минимум, на системах с графикой AMD/ATI. На других системах тоже можно - посмотреть, что ничего не сломалось хотя бы.

Проще всего проверять с помощью XFdrake: запустить и посмотреть, какие варианты он выдаёт. На системах с графикой AMD/ATI там должен быть, как минимум, вариант с использованием драйвера radeon или fglrx - или варианты для обоих. Дальше - выбрать соотв. вариант, настроить графику, посмотреть, работает ли.

Из-за того, что в ldetect-lst были неправильные данные для некоторых видеокарт AMD (в основном, старых), XFdrake не показывал даже варианта с драйвером 'radeon' для них. Наблюдалось, как минимум, тут: http://hw.rosalinux.ru/index.php?probe=3a4dbf8a30. Теперь должно исправиться.
Comment 3 FirstLevel 2014-11-20 11:08:27 MSK
I have tested for HP 6465b (http://hw.rosalinux.ru/index.php?probe=cec5762e5d).
lcpci.old lspcidrake.old - output with old ldetect package.
lcpci.new lspcidrake.new - output with new ldetect package.
For both packages I see this ldetect-old.png in XFdrake
Comment 4 FirstLevel 2014-11-20 11:08:43 MSK
Created attachment 3499 [details]
lspcidrake.old
Comment 5 FirstLevel 2014-11-20 11:09:07 MSK
Created attachment 3500 [details]
lspcidrake.new
Comment 6 FirstLevel 2014-11-20 11:09:24 MSK
Created attachment 3501 [details]
lcpci.old
Comment 7 FirstLevel 2014-11-20 11:09:39 MSK
Created attachment 3502 [details]
lcpci.new
Comment 8 FirstLevel 2014-11-20 11:09:53 MSK
Created attachment 3503 [details]
ldetect-old.png
Comment 9 Andrey Ponomarenko 2014-11-20 12:35:58 MSK
Dell Latitude XT + R4 + ldetect-lst 0.1.327 OK: http://hw.rosalinux.ru/index.php?probe=bedfdf8bb5

XFdrake shows two drivers: radeon and VESA.
Comment 10 Andrey Ponomarenko 2014-11-20 13:42:08 MSK
HP gt7725 + R4 + ldetect-lst 0.1.327: http://hw.rosalinux.ru/index.php?probe=a1ac4e7ef6

XFdrake shows two drivers: radeon and VESA.
Comment 11 Andrey Ponomarenko 2014-11-20 13:51:50 MSK
LENOVO G570 + R4 + ldetect-lst 0.1.327 OK: http://hw.rosalinux.ru/index.php?probe=b45a92988d

XFdrake shows three drivers: radeon, fglrx (hybrid) and VESA.
Comment 12 Andrey Ponomarenko 2014-11-20 17:10:49 MSK
HP Pavilion dv6 + R4 + ldetect-lst 0.1.327 OK: http://hw.rosalinux.ru/index.php?probe=bb070eb08b

XFdrake shows three drivers: radeon, fglrx and VESA.
Comment 13 Andrey Ponomarenko 2014-11-20 17:11:20 MSK
Extended testing report - ОК
Comment 14 Vladimir Potapov 2014-11-20 19:13:15 MSK
ldetect-lst-0.1.327-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2335166/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2335167/x86_64/main/release/
***************************** Advisory **************************
ldetect-lst was updated to version 0.1.327.
Most significant changes:
* Fixed a lot of incorrect entries for AMD/ATI Radeon GPUs in the PCI ID table.
* Updated PCI IDs for 'radeon' kernel module (kernel 3.14.22) and for fglrx 14.301.1001 (AMD Catalyst 14.9)
*****************************************************************
QA Verified